Quassel IRC - Feature #724

Channel specific custom highlights
06/09/2009 11:13 PM - salnx

Status: Resolved Start date: 06/09/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.9.0

0S: Any

Description

Would be cool if some highlights could be triggered only for specific channels. Actually | missed this alot.

Here's some simple implementation, user selects channel by a regexp.

Related issues:
Has duplicate Quassel IRC - Feature #633: Please add channel specific hilights Closed

03/18/2009

History

#1 - 02/16/2012 03:03 PM - Anonymous
- Assignee set to Anonymous

- Target version set to Some future release

Patches probably need some updating. Will put them up at gitorious.

#2 - 02/18/2012 12:51 AM - Anonymous

That went easier than expected. Thanks for the patches!

https://gitorious.org/quassel/quassel/merge_requests/137

#3 - 05/23/2012 09:27 AM - johu
- Category set to Quassel Client
- Status changed from New to Resolved

- Target version changed from Some future release to 0.9.0

Files

0001-Initial-Channel-specific-highlights-feature-implemen.patch 8.58 KB 06/09/2009 salnx
0002-Change-Hilight-config-dialog-layout-a-bit.patch 6.52 KB 06/09/2009 salnx
0003-Make-Highlight-table-select-newly-added-rule.patch 2.72 KB 06/09/2009 salnx
0004-Use-QString-isEmpty-instead-of-size-comparsion.patch 1.02 KB 06/09/2009 salnx
